# TODO: /usr/share/control-center-2.0/capplets/sun_java.desktop
# copy the desktop file and icon, not symlink, remove plugin/desktop dir

%define section         non-free

%define origin          bea
%define priority        1500
%define javaver         1.5.0
%define buildver        04

%define name            java-%{javaver}-%{origin}
%define version         %{javaver}.%{buildver}
%define release         2jpp

%define sdklnk          java-%{javaver}-%{origin}
%define jrelnk          jre-%{javaver}-%{origin}
%define sdkdir          %{name}-%{version}
%define jredir          %{sdkdir}/jre
%define sdkbindir       %{_jvmdir}/%{sdklnk}/bin
%define jrebindir       %{_jvmdir}/%{jrelnk}/bin
%define jvmjardir       %{_jvmjardir}/%{name}-%{version}

%define x11bindir       %{_prefix}/X11R6/bin
%define x11encdir       %{_prefix}/X11R6/lib/X11/fonts/encodings
%define fontconfigdir   %{_sysconfdir}/fonts
%define fontdir         %{_datadir}/fonts/java
%define xsldir          %{_datadir}/xml/%{name}-%{version}

# no Webstart in this release
#%define javaws_ver      %{javaver}

# no Plugin in this release
#%define pluginname      %{_jvmdir}/%{jredir}/plugin/i386/ns610-gcc32/libjavaplugin_oji.so

%define cgibindir       %{_var}/www/cgi-bin

# Avoid RPM 4.2+'s internal dep generator, it may produce bogus
# Provides/Requires here.
%define _use_internal_dependency_generator 0

# This prevents aggressive stripping.
%define debug_package %{nil}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Summary:        BEA WebLogic JRockit JRE

Group:          Development/Interpreters
License:        BEA WebLogic JRockit Binary License
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://www.bea.com/framework.jsp?CNT=index.htm&FP=/content/products/jrockit
Source0:        jrockit-R26.0.0-jdk1.5.0_04-linux-ia32.bin
Source1:        %{name}-register-java-fonts.xsl
Source2:        %{name}-unregister-java-fonts.xsl
# Converted, resized from jrockit_logo.gif found in ManagementConsole.jar
Source3:        %{name}-jrockit.png
Source4:        %{name}-silent.xml
#Patch0:         %{name}-desktop.patch
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildArch:      i686
BuildRequires:  jpackage-utils >= 0:1.5.26, %{__sed}, %{__perl}

Conflicts:      kaffe

Provides:       jrockit = %{epoch}:%{version}-%{release}
Provides:       jre-%{javaver}-%{origin} = %{epoch}:%{version}-%{release}
Provides:       jre-%{origin} = %{epoch}:%{version}-%{release}
Provides:       jre-%{javaver}, java-%{javaver}, jre = %{javaver}
Provides:       java-%{origin} = %{epoch}:%{version}-%{release}
Provides:       java = %{epoch}:%{javaver}
Provides:       jndi = %{epoch}:%{version}, jndi-ldap = %{epoch}:%{version}
Provides:       jndi-cos = %{epoch}:%{version}, jndi-rmi = %{epoch}:%{version}
Provides:       jndi-dns = %{epoch}:%{version}
Provides:       jaas = %{epoch}:%{version}
Provides:       jsse = %{epoch}:%{version}
Provides:       jce = %{epoch}:%{version}
Provides:       jdbc-stdext = %{epoch}:3.0, jdbc-stdext = %{epoch}:%{version}
Provides:       java-sasl = %{epoch}:%{version}
Requires:       %{_sbindir}/update-alternatives, jpackage-utils >= 0:1.5.26

%description
BEA WebLogic JRockit is the only Java VM designed specifically to
simplify the task of developing and managing Java applications for
large-scale enterprise-wide environments. With BEA WebLogic JRockit,
developers do not need to know JVM internals to create performant,
scalable, reliable applications. BEA WebLogic JRockit speeds
application development through fast startup performance. It provides
out-of-the-box application performance and scalability through
progressive optimization features that enable the JVM to automatically
deliver the best possible application performance without requiring a
lot of manual configuration or tuning. Unique manageability features
give developers the real-time visibility and control to ensure top
application performance and health while delivering
industrial-strength system stability and reliability under heavy user
and transaction loads. And BEA WebLogic JRockit is the only JVM
designed for top performance with open standards-based Intel
platforms, which allows it to deliver the best price/performance and
lowest total cost of ownership (TCO) for enterprise Java applications.

See http://edocs.bea.com/wljrockit/docs142/ for more information,
including info about supported platforms.

%package        devel
Summary:        BEA WebLogic JRockit SDK
Group:          Development/Compilers
Requires:       %{_sbindir}/update-alternatives
Provides:       java-sdk-%{javaver}-%{origin} = %{epoch}:%{version}-%{release}
Provides:       java-sdk-%{origin} = %{epoch}:%{version}-%{release}
Provides:       java-sdk-%{javaver}, java-sdk = %{epoch}:%{javaver}
Provides:       java-devel-%{origin} = %{epoch}:%{version}-%{release}
Provides:       java-%{javaver}-devel, java-devel = %{epoch}:%{javaver}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
%{summary}.

%package        src
Summary:        Source files for %{name}
Group:          Development/Interpreters
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    src
This package contains source files for %{name}.

%package        demo
Summary:        Demonstration files for %{name}
Group:          Development/Interpreters
Requires:       %{name} = %{epoch}:%{version}-%{release}
# Without this a requirement on libjava_crw_demo_g.so is added which
# is not in the main java package. libjava_crw_demo.so is but not "_g".
AutoReq:        0

%description    demo
This package contains demonstration files for %{name}.

%package        fonts
Summary:        TrueType fonts for BEA WebLogic JRockit
Group:          Text Processing/Fonts
Requires:       %{name} = %{epoch}:%{version}-%{release}, %{_bindir}/ttmkfdir
Requires:       %{_sbindir}/chkfontpath, %{x11bindir}/mkfontdir, mktemp
Requires:       %{_bindir}/xsltproc, %{__perl}
Provides:       java-fonts = %{epoch}:%{javaver}, java-%{javaver}-fonts
Conflicts:      java-%{javaver}-ibm-fonts, java-%{javaver}-blackdown-fonts
Conflicts:      java-%{javaver}-sun-fonts
Obsoletes:      java-1.3.1-fonts, java-1.4.0-fonts, java-1.4.1-fonts, java-1.4.2-fonts

%description    fonts
%{summary}.

%package        alsa
Summary:        ALSA support for BEA WebLogic JRockit
Group:          Development/Libraries/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    alsa
This package contains Advanced Linux Sound Architecture (ALSA) support
libraries for BEA WebLogic JRockit.

%package        console
Summary:        BEA WebLogic JRockit management console
Group:          Development/Interpreters
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    console
%{summary}.

%package        jdbc
Summary:        BEA WebLogic JRockit JDBC/ODBC bridge driver files
Group:          Development/Libraries/Java
AutoReq:        no
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{_libdir}/libodbc.so, %{_libdir}/libodbcinst.so

%description    jdbc
%{summary}.


%prep
%setup -q -c -T
%{__sed} -e "s+@@USER_INSTALL_DIR@@+$(pwd)+" %{SOURCE4} > silent.xml
chmod +x %{SOURCE0}
%{SOURCE0} -mode=silent -silent_xml=$(pwd)/silent.xml

%build
# Nope.


%install
rm -rf $RPM_BUILD_ROOT

# fix up java-rmi.cgi PATH
%{__perl} -p -i -e 's|PATH=.*|PATH=%{jrebindir}|' bin/java-rmi.cgi

# install java-rmi-cgi
install -D -m 755 bin/java-rmi.cgi $RPM_BUILD_ROOT%{cgibindir}/java-rmi-%{version}.cgi

# main files
install -dm 755 $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
cp -pR bin include lib src.zip $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
install -dm 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}

# extensions handling
install -dm 755 $RPM_BUILD_ROOT%{jvmjardir}
pushd $RPM_BUILD_ROOT%{jvmjardir}
   ln -s %{_jvmdir}/%{jredir}/lib/jsse.jar jsse-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/jce.jar  jce-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar   jndi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar   jndi-ldap-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar   jndi-cos-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar   jndi-rmi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar   jaas-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar   jdbc-stdext-%{version}.jar
   ln -s jdbc-stdext-%{version}.jar        jdbc-stdext-3.0.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar sasl-%{version}.jar
   for jar in *-%{version}.jar ; do
     if [ x%{version} != x%{javaver} ]; then
        ln -sf ${jar} $(echo $jar | %{__sed} "s|-%{version}.jar|-%{javaver}.jar|g")
     fi
     ln -sf ${jar} $(echo $jar | %{__sed} "s|-%{version}.jar|.jar|g")
   done
popd

# rest of the jre
cp -pR jre/bin jre/lib \
  $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
install -dm 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/endorsed

# jce policy file handling
install -dm 755 $RPM_BUILD_ROOT%{_jvmprivdir}/%{name}/jce/vanilla
for file in local_policy.jar US_export_policy.jar ; do
  mv $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security/$file \
    $RPM_BUILD_ROOT%{_jvmprivdir}/%{name}/jce/vanilla
  # for ghosts
  touch $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security/$file
done

# versionless symlinks
pushd $RPM_BUILD_ROOT%{_jvmdir}
ln -s %{jredir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd

pushd $RPM_BUILD_ROOT%{_jvmjardir}
ln -s %{sdkdir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd

# man pages
install -dm 755 $RPM_BUILD_ROOT%{_mandir}/man1
for manpage in man/man1/* ; do
  install -pm 644 $manpage \
    $RPM_BUILD_ROOT%{_mandir}/man1/$(basename $manpage .1)-%{name}.1
done
# TODO: japanese man pages

# no demo
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a demo $RPM_BUILD_ROOT%{_datadir}/%{name}

# font handling

pushd $RPM_BUILD_ROOT/%{_jvmdir}/%{jredir}/lib
   # Remove font.properties and use the system-wide one -- NiM
   rm -f font.properties
   ln -sf %{_sysconfdir}/java/font.properties .

   # remove supplied fonts.dir in preference of the one to be dynamically
   # generated -- Rex
   rm fonts/fonts.dir

   # These %ghost'd files are created properly in %post  -- Rex
   touch fonts/{fonts.{alias,dir,scale,cache-1},XftCache,encodings.dir}
   if [ "%{fontdir}" != "%{jredir}/lib/fonts" ] ; then
      install -dm 755 $RPM_BUILD_ROOT%{fontdir}
      mv fonts/* $RPM_BUILD_ROOT%{fontdir}
      rmdir fonts
      ln -sf %{fontdir} fonts
   fi
popd

# font registration/unregistration

install -dm 755 $RPM_BUILD_ROOT%{xsldir}
install -pm 644 %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{xsldir}
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{xsldir}/register-java-fonts.xsl
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{xsldir}/unregister-java-fonts.xsl

# console files
cp -pr console $RPM_BUILD_ROOT%{_jvmdir}/%{name}-%{version}

# generate file lists

find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type d \
  | %{__sed} 's|'$RPM_BUILD_ROOT'|%dir |' >  %{name}-%{version}-all.files
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type f -o -type l \
  | %{__sed} 's|'$RPM_BUILD_ROOT'||'      >> %{name}-%{version}-all.files

grep Jdbc    %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-jdbc.files
grep -F alsa.so %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-alsa.files
cat %{name}-%{version}-all.files \
  | grep -v ControlPanel \
  | grep -v Jdbc \
  | grep -v lib/fonts \
  | grep -vF alsa.so \
  | grep -v jre/lib/security \
  > %{name}-%{version}.files

find $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}/bin -type f -a ! -name console \
  | %{__sed} "s|^$RPM_BUILD_ROOT||"      > %{name}-%{version}-sdk-bin.files

# freedesktop.org menu entry for console
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-jrockit-%{version}-%{release}-console.desktop
[Desktop Entry]
Name=JRockit Management Console
Comment=BEA WebLogic JRockit %{version} Management Console
Exec=%{_jvmdir}/%{sdkdir}/bin/console
Icon=jrockit-%{version}-%{release}.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Application;System;Monitor;Java;X-JPackage;
EOF
chmod 644 $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-jrockit-%{version}-%{release}-console.desktop
install -Dpm 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/jrockit-%{version}-%{release}.png

%clean
rm -rf $RPM_BUILD_ROOT

%preun fonts
[ $1 -eq 0 ] || exit 0

 # Unregister self in fontconfig aliases
if [ -w %{fontconfigdir}/fonts.conf ] ; then
   TMPFILE=$(/bin/mktemp -q /tmp/fonts.conf.XXXXXX) && \
   %{_bindir}/xsltproc --novalid %{xsldir}/unregister-java-fonts.xsl \
        %{fontconfigdir}/fonts.conf > $TMPFILE && \
   /bin/cat $TMPFILE > %{fontconfigdir}/fonts.conf && /bin/rm $TMPFILE
fi

%post
ext=
  [ -f %{_mandir}/man1/java-%{name}.1.bz2 ] && ext=".bz2"
  [ -f %{_mandir}/man1/java-%{name}.1.gz ] && ext=".gz"

  update-alternatives --install %{_bindir}/java \
    java %{jrebindir}/java %{priority} \
    --slave %{_jvmdir}/jre         jre         %{_jvmdir}/%{jrelnk} \
    --slave %{_jvmjardir}/jre      jre_exports %{_jvmjardir}/%{jrelnk} \
    --slave %{_bindir}/keytool     keytool     %{jrebindir}/keytool \
    --slave %{_bindir}/orbd        orbd        %{jrebindir}/orbd \
    --slave %{_bindir}/policytool  policytool  %{jrebindir}/policytool \
    --slave %{_bindir}/rmid        rmid        %{jrebindir}/rmid \
    --slave %{_bindir}/rmiregistry rmiregistry %{jrebindir}/rmiregistry \
    --slave %{_bindir}/servertool  servertool  %{jrebindir}/servertool \
    --slave %{_bindir}/tnameserv   tnameserv   %{jrebindir}/tnameserv \
    --slave %{_mandir}/man1/java.1$ext java.1$ext \
      %{_mandir}/man1/java-%{name}.1$ext \
    --slave %{_mandir}/man1/keytool.1$ext keytool.1$ext \
      %{_mandir}/man1/keytool-%{name}.1$ext \
    --slave %{_mandir}/man1/kinit.1$ext kinit.1$ext \
      %{_mandir}/man1/kinit-%{name}.1$ext \
    --slave %{_mandir}/man1/klist.1$ext klist.1$ext \
      %{_mandir}/man1/klist-%{name}.1$ext \
    --slave %{_mandir}/man1/ktab.1$ext ktab.1$ext \
      %{_mandir}/man1/ktab-%{name}.1$ext \
    --slave %{_mandir}/man1/orbd.1$ext orbd.1$ext \
      %{_mandir}/man1/orbd-%{name}.1$ext \
    --slave %{_mandir}/man1/policytool.1$ext policytool.1$ext \
      %{_mandir}/man1/policytool-%{name}.1$ext \
    --slave %{_mandir}/man1/rmid.1$ext rmid.1$ext \
      %{_mandir}/man1/rmid-%{name}.1$ext \
    --slave %{_mandir}/man1/rmiregistry.1$ext rmiregistry.1$ext \
      %{_mandir}/man1/rmiregistry-%{name}.1$ext \
    --slave %{_mandir}/man1/servertool.1$ext servertool.1$ext \
      %{_mandir}/man1/servertool-%{name}.1$ext \
    --slave %{_mandir}/man1/tnameserv.1$ext tnameserv.1$ext \
      %{_mandir}/man1/tnameserv-%{name}.1$ext

    update-alternatives --install %{_jvmdir}/jre-%{origin} \
      jre_%{origin} %{_jvmdir}/%{jrelnk} %{priority} \
      --slave %{_jvmjardir}/jre-%{origin} jre_%{origin}_exports \
        %{_jvmjardir}/%{jrelnk}

    update-alternatives --install %{_jvmdir}/jre-%{javaver} \
      jre_%{javaver} %{_jvmdir}/%{jrelnk} %{priority} \
      --slave %{_jvmjardir}/jre-%{javaver} jre_%{javaver}_exports \
        %{_jvmjardir}/%{jrelnk}

if [ -d %{_jvmdir}/%{jrelnk}/lib/security ]; then
  # Need to remove the old jars in order to support upgrading, ugly :(
  # update-alternatives fails silently if the link targets exist as files.
  rm -f %{_jvmdir}/%{jrelnk}/lib/security/{local,US_export}_policy.jar
fi
    update-alternatives --install \
      %{_jvmdir}/%{jrelnk}/lib/security/local_policy.jar \
      jce_%{javaver}_%{origin}_local_policy \
      %{_jvmprivdir}/%{name}/jce/vanilla/local_policy.jar \
      %{priority} \
      --slave \
        %{_jvmdir}/%{jrelnk}/lib/security/US_export_policy.jar \
        jce_%{javaver}_%{origin}_us_export_policy \
        %{_jvmprivdir}/%{name}/jce/vanilla/US_export_policy.jar
  
%post devel
ext=
  [ -f %{_mandir}/man1/javac-%{name}.1.bz2 ] && ext=".bz2"
  [ -f %{_mandir}/man1/javac-%{name}.1.gz ] && ext=".gz"

  update-alternatives --install %{_bindir}/javac \
    javac %{sdkbindir}/javac %{priority} \
    --slave %{_jvmdir}/java         java_sdk        %{_jvmdir}/%{sdklnk} \
    --slave %{_jvmjardir}/java      java_sdk_exports %{_jvmjardir}/%{sdklnk} \
    --slave %{_bindir}/appletviewer appletviewer    %{sdkbindir}/appletviewer \
    --slave %{_bindir}/apt          apt             %{sdkbindir}/apt \
    --slave %{_bindir}/extcheck     extcheck        %{sdkbindir}/extcheck \
    --slave %{_bindir}/idlj         idlj            %{sdkbindir}/idlj \
    --slave %{_bindir}/jar          jar             %{sdkbindir}/jar \
    --slave %{_bindir}/jarsigner    jarsigner       %{sdkbindir}/jarsigner \
    --slave %{_bindir}/javadoc      javadoc         %{sdkbindir}/javadoc \
    --slave %{_bindir}/javah        javah           %{sdkbindir}/javah \
    --slave %{_bindir}/javap        javap           %{sdkbindir}/javap \
    --slave %{_bindir}/jconsole     jconsole        %{sdkbindir}/jconsole \
    --slave %{_bindir}/jdb          jdb             %{sdkbindir}/jdb \
    --slave %{_bindir}/jps          jps             %{sdkbindir}/jps \
    --slave %{_bindir}/jstat        jstat           %{sdkbindir}/jstat \
    --slave %{_bindir}/jstatd       jstatd          %{sdkbindir}/jstatd \
    --slave %{_bindir}/native2ascii native2ascii    %{sdkbindir}/native2ascii \
    --slave %{_bindir}/pack200      pack200         %{sdkbindir}/pack200 \
    --slave %{_bindir}/rmic         rmic            %{sdkbindir}/rmic \
    --slave %{_bindir}/serialver    serialver       %{sdkbindir}/serialver \
    --slave %{_bindir}/unpack200    unpack200       %{sdkbindir}/unpack200 \
    --slave %{_mandir}/man1/appletviewer.1$ext appletviewer.1$ext \
      %{_mandir}/man1/appletviewer-%{name}.1$ext \
    --slave %{_mandir}/man1/apt.1$ext apt.1$ext \
      %{_mandir}/man1/apt-%{name}.1$ext \
    --slave %{_mandir}/man1/extcheck.1$ext extcheck.1$ext \
      %{_mandir}/man1/extcheck-%{name}.1$ext \
    --slave %{_mandir}/man1/idlj.1$ext idlj.1$ext \
      %{_mandir}/man1/idlj-%{name}.1$ext \
    --slave %{_mandir}/man1/jar.1$ext jar.1$ext \
      %{_mandir}/man1/jar-%{name}.1$ext \
    --slave %{_mandir}/man1/jarsigner.1$ext jarsigner.1$ext \
      %{_mandir}/man1/jarsigner-%{name}.1$ext \
    --slave %{_mandir}/man1/javac.1$ext javac.1$ext \
      %{_mandir}/man1/javac-%{name}.1$ext \
    --slave %{_mandir}/man1/javadoc.1$ext javadoc.1$ext \
      %{_mandir}/man1/javadoc-%{name}.1$ext \
    --slave %{_mandir}/man1/javah.1$ext javah.1$ext \
      %{_mandir}/man1/javah-%{name}.1$ext \
    --slave %{_mandir}/man1/javap.1$ext javap.1$ext \
      %{_mandir}/man1/javap-%{name}.1$ext \
    --slave %{_mandir}/man1/jconsole.1$ext jconsole.1$ext \
      %{_mandir}/man1/jconsole-%{name}.1$ext \
    --slave %{_mandir}/man1/jdb.1$ext jdb.1$ext \
      %{_mandir}/man1/jdb-%{name}.1$ext \
    --slave %{_mandir}/man1/jps.1$ext jps.1$ext \
      %{_mandir}/man1/jps-%{name}.1$ext \
    --slave %{_mandir}/man1/jstat.1$ext jstat.1$ext \
      %{_mandir}/man1/jstat-%{name}.1$ext \
    --slave %{_mandir}/man1/jstatd.1$ext jstatd.1$ext \
      %{_mandir}/man1/jstatd-%{name}.1$ext \
    --slave %{_mandir}/man1/native2ascii.1$ext native2ascii.1$ext \
      %{_mandir}/man1/native2ascii-%{name}.1$ext \
    --slave %{_mandir}/man1/pack200.1$ext pack200.1$ext \
      %{_mandir}/man1/pack200-%{name}.1$ext \
    --slave %{_mandir}/man1/rmic.1$ext rmic.1$ext \
      %{_mandir}/man1/rmic-%{name}.1$ext \
    --slave %{_mandir}/man1/serialver.1$ext serialver.1$ext \
      %{_mandir}/man1/serialver-%{name}.1$ext \
    --slave %{_mandir}/man1/unpack200.1$ext unpack200.1$ext \
      %{_mandir}/man1/unpack200-%{name}.1$ext

  update-alternatives --install %{_jvmdir}/java-%{origin} \
    java_sdk_%{origin} %{_jvmdir}/%{sdklnk} %{priority} \
    --slave %{_jvmjardir}/java-%{origin} java_sdk_%{origin}_exports \
      %{_jvmjardir}/%{sdklnk}

  update-alternatives --install %{_jvmdir}/java-%{javaver} \
    java_sdk_%{javaver} %{_jvmdir}/%{sdklnk} %{priority} \
      --slave %{_jvmjardir}/java-%{javaver} java_sdk_%{javaver}_exports \
        %{_jvmjardir}/%{sdklnk}

# We do not care if all/any of this actually succeeds
# Therefore errors are caught but messages are allowed
%post fonts
{
    # Legacy font handling

    %{_bindir}/ttmkfdir -d %{fontdir} -o %{fontdir}/fonts.scale

    # Mandrake workaround
    %{_bindir}/perl -pi -e 's@0-c-0@0-p-0@g' %{fontdir}/fonts.scale

    %{x11bindir}/mkfontdir -e %{x11encdir} -e %{x11encdir}/large %{fontdir}

    %{_sbindir}/chkfontpath -q -a %{fontdir}

    # The following commands will be executed on upgrade by their respective
    # packages

    # Late legacy font handling
    if [ -x %{_bindir}/redhat-update-gnome-font-install ] ; then
        %{_bindir}/redhat-update-gnome-font-install
    fi

    if [ -x %{_bindir}/redhat-update-gnome-font-install2 ] ; then
        %{_bindir}/redhat-update-gnome-font-install2
    fi

    # Modern font handling
    if [ -x %{_bindir}/fc-cache ] ; then
        %{_bindir}/fc-cache -f %{_datadir}/fonts
    fi
} || :

%postun

  if [ $1 -eq 0 ] ; then
    update-alternatives --remove java %{jrebindir}/java
    update-alternatives --remove \
      jce_%{javaver}_%{origin}_local_policy \
      %{_jvmprivdir}/%{name}/jce/vanilla/local_policy.jar
    update-alternatives --remove jre_%{origin}  %{_jvmdir}/%{jrelnk}
    update-alternatives --remove jre_%{javaver} %{_jvmdir}/%{jrelnk}
  fi

%postun devel

  if [ $1 -eq 0 ] ; then
    update-alternatives --remove javac %{sdkbindir}/javac
    update-alternatives --remove java_sdk_%{origin}  %{_jvmdir}/%{sdklnk}
    update-alternatives --remove java_sdk_%{javaver} %{_jvmdir}/%{sdklnk}
  fi

# We do not care if all/any of this actually succeeds
# Therefore errors are catched but messages allowed
%postun fonts
{
  # Rehash the font dir to keep only stuff manually installed
  [ $1 -eq 0 ] || exit 0

  if [ -d %{fontdir} ] && [ $(find %{fontdir} \
    -follow -type f -iname "*.ttf" -printf "\b\b\b\btrue") ] ; then
      %{_bindir}/ttmkfdir -d %{fontdir} -o %{fontdir}/fonts.scale
      %{x11bindir}/mkfontdir -e %{x11encdir} -e %{x11encdir}/large %{fontdir}
  else
    %{_sbindir}/chkfontpath -q -r %{fontdir}
  fi
  if [ -x %{_bindir}/redhat-update-gnome-font-install ] ; then
    %{_bindir}/redhat-update-gnome-font-install
  fi
  if [ -x %{_bindir}/redhat-update-gnome-font-install2 ] ; then
    %{_bindir}/redhat-update-gnome-font-install2
  fi
  if [ -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache -f %{_datadir}/fonts
  fi
} || :

%triggerin fonts -- fontconfig, %{fontconfigdir}/fonts.conf

TMPFILE=$(/bin/mktemp -q /tmp/fonts.conf.XXXXXX) && \
%{_bindir}/xsltproc --novalid %{xsldir}/register-java-fonts.xsl \
   %{fontconfigdir}/fonts.conf > $TMPFILE && \
/bin/cat $TMPFILE > %{fontconfigdir}/fonts.conf && /bin/rm $TMPFILE


%files -f %{name}-%{version}.files
%defattr(-,root,root,-)
%doc jre/LICENSE jre/README.TXT
%dir %{_jvmdir}/%{sdkdir}
#%dir %{jvmjardir}
#%{jvmjardir}/*.jar
%{jvmjardir}
# iot build with rpm-4.2
%{_jvmdir}/%{jredir}/lib/fonts
%{_jvmdir}/%{jrelnk}
%{_jvmjardir}/%{jrelnk}
%{_jvmprivdir}/*
%dir %{_jvmdir}/%{jredir}/lib/security
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/cacerts
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/java.policy
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/java.security
%ghost %{_jvmdir}/%{jredir}/lib/security/local_policy.jar
%ghost %{_jvmdir}/%{jredir}/lib/security/US_export_policy.jar
%{_mandir}/man1/java-%{name}.1*
%{_mandir}/man1/keytool-%{name}.1*
%{_mandir}/man1/orbd-%{name}.1*
%{_mandir}/man1/policytool-%{name}.1*
%{_mandir}/man1/rmid-%{name}.1*
%{_mandir}/man1/rmiregistry-%{name}.1*
%{_mandir}/man1/servertool-%{name}.1*
%{_mandir}/man1/tnameserv-%{name}.1*
%{_mandir}/man1/kinit-%{name}.1*
%{_mandir}/man1/klist-%{name}.1*
%{_mandir}/man1/ktab-%{name}.1*

%files devel -f %{name}-%{version}-sdk-bin.files
%defattr(-,root,root,-)
%doc LICENSE README.TXT
%dir %{_jvmdir}/%{sdkdir}/bin
%{_jvmdir}/%{sdkdir}/include
%{_jvmdir}/%{sdkdir}/lib
%{_jvmdir}/%{sdklnk}
%{_jvmjardir}/%{sdklnk}
%{_mandir}/man1/appletviewer-%{name}.1*
%{_mandir}/man1/apt-%{name}.1*
%{_mandir}/man1/extcheck-%{name}.1*
%{_mandir}/man1/idlj-%{name}.1*
%{_mandir}/man1/jar-%{name}.1*
%{_mandir}/man1/jarsigner-%{name}.1*
%{_mandir}/man1/javac-%{name}.1*
%{_mandir}/man1/javadoc-%{name}.1*
%{_mandir}/man1/javah-%{name}.1*
%{_mandir}/man1/javap-%{name}.1*
%{_mandir}/man1/jconsole-%{name}.1*
%{_mandir}/man1/jdb-%{name}.1*
%{_mandir}/man1/jps-%{name}.1*
%{_mandir}/man1/jstat-%{name}.1*
%{_mandir}/man1/jstatd-%{name}.1*
%{_mandir}/man1/native2ascii-%{name}.1*
%{_mandir}/man1/pack200-%{name}.1*
%{_mandir}/man1/rmic-%{name}.1*
%{_mandir}/man1/serialver-%{name}.1*
%{_mandir}/man1/unpack200-%{name}.1*
%{cgibindir}/java-rmi-%{version}.cgi

%files console
%defattr(-,root,root,-)
%dir %{_jvmdir}/%{sdkdir}/bin
%{_jvmdir}/%{sdkdir}/bin/console
%dir %{_jvmdir}/%{sdkdir}/console
%{_jvmdir}/%{sdkdir}/console/lib
%{_jvmdir}/%{sdkdir}/console/*.jar
%doc %{_jvmdir}/%{sdkdir}/console/README.txt
%{_datadir}/applications/*-console.desktop
%{_datadir}/pixmaps/jrockit-%{version}-%{release}.png

%files src
%defattr(-,root,root,-)
%{_jvmdir}/%{sdkdir}/src.zip

%files demo
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/demo

%files alsa -f %{name}-%{version}-alsa.files
%defattr(-,root,root,-)

%files jdbc -f %{name}-%{version}-jdbc.files
%defattr(-,root,root,-)

%files fonts
%defattr(0644,root,root,0755)
%dir %{fontdir}
%{fontdir}/*.ttf
%config(noreplace) %{fontdir}/fonts.alias
%ghost %{fontdir}/fonts.dir
%ghost %{fontdir}/fonts.scale
%ghost %{fontdir}/fonts.cache-1
%ghost %{fontdir}/XftCache
%ghost %{fontdir}/encodings.dir
%{xsldir}


%changelog
* Thu Feb 01 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.5.0.04-2jpp
- Fix priority

* Mon Jan 30 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.5.0.04-1jpp
- Derive Spec for 1.5.0-bea
- Merge with Spec for 1.5.0-sun
- Switch to silent install
- Neither plugin nor javaws in jrockit-R26.0.0-jdk1.5.0_04-linux-ia32.bin
- Avoid separate %{jvmjardir}/*.jar iot build with rpm-4.2 (eg RHEL3)

* Tue Jul 20 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.2.04-2jpp
- Fix javaws* executable permissions.
- Include plugin control panel and web start in (freedesktop.org) menus.

* Sat Jul 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.2.04-1jpp
- Update to 1.4.2_04, now includes Java Web Start.
- Sync with updates in java-1.4.2-sun.

* Sun Jan  4 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.2.03-2jpp
- Disable automatic requires for -jdbc, require
  %%{_libdir}/libodbc(inst).so instead.  Many distros ship the unversioned
  libodbc(inst).so in -devel packages as symlinks, and rpm does not
  autogenerate the *.so provides for such files, and only a few distros
  explicitly list those.  Thanks to Kaj J. Niemi and Joe Christy.
- Use grep -F for non-regexp grepping.

* Tue Dec 16 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.2.03-1jpp
- First JRockit J2SE 1.4.2 release.
